Doomsday Engine - Feature #1276

Attach dynamic lights on models
2003-09-04 17:32 - danij

Status: New Start date:

Priority: Normal % Done:
Assignee:

Category: Enhancement

Target version: Rendering

2003-09-04
0%

Description

A Dynamic Light that is positioned relative to the model.
With the option of a "Halo only flag".

Benefits:

Lights can be more accurately placed when using models.
More realistic lighting on the models producing the light
eg: Imp fireball casting light onto the Imp throwing it,
muzzle flashes would benefit from the same improvement.
Demons eyes glow in the dark with a halo (more realistic
than using the fullbright flag).

Labels: Graphics

Related issues:
Related to Feature #1219: Configurable missile spawn points
Has duplicate Feature #1299: Lights attached to (sub)models

Rejected
Closed

2003-07-02
2003-10-03

History

#1 - 2003-09-05 08:11 - ben2k9

Logged In: YES
user_id=941452

i like it!

#2 - 2004-01-01 15:28 - badrad

Logged In: YES
user_id=816824

Sounds like it would be cool to me!

#3 - 2013-10-21 07:58 - skyjake
- Tags set to Lights, 3DModel, Decorations

- Subject changed from 3D Dynamic Light placement on Models to Attach 3D dynamic lights on models

#4 - 2013-10-21 08:01 - skyjake

- Subject changed from Attach 3D dynamic lights on models to Attach dynamic lights on models

#5 - 2016-08-09 10:50 - skyjake
- Category set to Enhancement

- Target version set to Rendering
